//replace all the *** with values, variables or functions:)

#include <OneWire.h>
#include <***> //include DallasTemperature library

// Data wire is plugged into the Arduino on port ?
#define ONE_WIRE_BUS ***

// Setup a oneWire instance to communicate with any OneWire devices (not just Maxim/Dallas temperature ICs)
OneWire oneWire(ONE_WIRE_BUS);

// Pass our oneWire reference to Dallas Temperature.
DallasTemperature sensors(&oneWire);

//initialize variables
int cooler = ***; //fan is connected to which pin?
int heater = ***; //heating pad is connected to which pin?
double temperature;
int time_passed = 0;
int UpperLimit = 35;
int LowerLimit = 25;
bool flag = false; //used to know when the upper limit is reached

void setup(void)
{
  // start serial port
  Serial.begin(9600);
  Serial.println("Dallas Temperature IC Control Library Demo");

  // Start up the library
  sensors.begin();

  //state of component pins
  pinMode(cooler, ***); //the fan is an OUTPUT
  pinMode(***, ***); //the 'heater' is an OUTPUT
}

void loop(void)
{
  // call sensors.requestTemperatures() to issue a global temperature
  // request to all devices on the bus

  sensors.requestTemperatures(); // Send the command to get temperatures

  temperature = sensors.getTempCByIndex(0);

  //print temperature to serial monitor
  Serial.print(time_passed);
  Serial.print(", ");
  Serial.print(temperature);
  ***("C"); //print on a new line
  time_passed = time_passed + 1; //increment time by 1 every loop

  //conditional statement assuming temperature starts below lower limit
  if (temperature != -127 && temperature != 85) { //default error values
    if (temperature < UpperLimit && flag == false) { //if upper limit is not yet reached
      digitalWrite(***, HIGH); //turn OFF the fan
      digitalWrite(heater, ***); //turn ON the heating pad
    } else if (temperature *** UpperLimit) { //if upper limit or higher is reached 
      ***(cooler, LOW); //turn ON the fan
      digitalWrite(***, ***); //turn OFF the heating pad
      flag = true;
    } else if (temperature > LowerLimit && flag == true) { //if lower limit is not yet reached
      ***(***, ***); //turn ON the fan
      ***(***, ***); //turn OFF the heating pad
    } else if (temperature <= LowerLimit && flag == true) { //if lower limit is reached
      ***(***, ***); //turn OFF the fan
      ***(***, ***); //turn OFF the heating pad
    }
  }

  delay (***); //wait 1 second
}
